# Configuration

```lua
--[[ All settings of the script are found and edited in this file. ]]

Config = {}

--[[ To appear on the Heist DUI board, it's just by design. ]]
Config.ToDoList = {
    'Sabotage the electrics',
    'Forced entry into the bank',
    'Do not forget gas mask and night vision',
}

--[[ Cool downloaded for Heist to be repeat - minutes ]]
Config.HeistColDown = 60

--[[ The heist ends when the team leader moves a set distance away from the heist area ! ]]
Config.FinishHeistDistance = 250.0

--[[ Required police count for start heist ]]
Config.RequiredPoliceCount = 0

--[[ Required police job names | The total number of players with these job will be checked for ``RequiredPoliceCount``]]
Config.PoliceJobName = {
    ['police'] = true,
    ['sheriff'] = true,
}

--[[ The blips used can be customized here ]]
Config.Blips = {
    --[[ Blip showing the area where the bombs will be dropped ]]
    drop_object  = {
        scale  = 0.6,
        color  = 1,
        sprite = 161,
        title  = locale('drop_object_location')
    },
    --[[ Blip showing the location of Heist Area ]]
    heist_area   = {
        scale  = 0.6,
        color  = 17,
        sprite = 80,
        title  = locale('heist_area')
    },
    --[[ Blip showing your teammate ]]
    heist_member = {
        scale  = 0.6,
        color  = 3,
        sprite = 1,
        title  = locale('heist_mate')
    },
}

--[[ Settings for drone to be used for various tasks ]]
Config.Drone = {
    --[[ Item to be used to activate the drone ]]
    itemName    = 'heist_drone',
    --[[ Maximum distance away from the player ]]
    maxDistance = 350.0,
    --[[ Object model, We give you 1 drone model, you can use a different model if you want]]
    model       = 1657647215,
}

--[[ Settings for hacklaptop to be used for heist ]]
Config.HackLaptop = {
    itemName = 'heist_hacklaptop',
}

--[[ Administrator's computer coordinates for the hacker to connect ]]
Config.TrojanUSB = {
    targetCoords = vector3(278.67, 213.05, 110.25),
}

--[[ Generators Options ]]
Config.Generators = {
    --[[ Time to activate after panels are damaged | seconds ]]
    startUpTime = 600,
}

--[[ Safe related settings ]]
Config.LockedSafe = {
    --[[ !!! REPLACEMENT IS NOT RECOMMENDED !!! ]]
    body   = {
        model    = 'bkr_prop_biker_safebody_01a',
        coords   = vector3(279.19, 217.41, 109.94),
        rotation = vector3(0, 0, 340.0),
    },
    --[[ !!! REPLACEMENT IS NOT RECOMMENDED !!! ]]
    door   = {
        model    = 'bkr_prop_biker_safedoor_01a',
        coords   = vector3(279.19, 217.41, 109.94),
        rotation = vector3(0, 0, 340.0),
    },
    --[[ Drilling ]]
    drill  = {
        --[[ Item needed to break the safe door ]]
        itemName = 'heist_drill',
        --[[ Animation Settings ]]
        animation = {
            --[[ Animation duration | seconds ]]
            duration = 7500,
            --[[ Animation Coords ]]
            coords = vector3(278.4911, 216.9152, 109.5),
            --[[ Animation Rotation ]]
            rotation = vector3(0.0, 0.0, 336.8664),
        }
    },
    --[[ Object settings to be found in the safe ]]
    inside = {
        [1] = {
            model = 'bkr_prop_moneypack_03a',
            coords = vector3(278.98, 217.90, 110.03),
            rotation = vector3(0, 0, 160.0),
            --[[ The items to be given when this object is collected ]]
            rewards = {
                { itemName = 'money', amount = 5000 },
            },
        },
        [2] = {
            model = 'ex_office_swag_jewelwatch2',
            coords = vector3(278.95, 217.82, 109.29),
            rotation = vector3(0, 0, 0.0),
            --[[ The items to be given when this object is collected ]]
            rewards = {
                { itemName = 'rolex',     amount = 1 },
                { itemName = 'goldchain', amount = 1 },
            },
        },
    },
}

--[[ Settings used in collection ]]
Config.CollectObject = {
    animation = {
        dict = 'anim@heists@ornate_bank@grab_cash_heels',
        name = 'grab',
    },
}

Config.AtmMoney = {
    rewardItemName = 'money', -- money item name for give
    amount = 5000,            --money to be released from atm
}

Config.TrolleyGrab = {
    rewardMoneyItemName = 'money',   -- money item name for give
    rewardIngotItemName = 'goldbar', -- ingot item name for give
    rewardAmount = 1,                --money to be released from atm
    moneyMultiplier = 1000,          -- if reward item is money, 1000 * rewardAmount
    --[[ Scene ]]
    objects = { 'hei_p_m_bag_var22_arm_s' },
    animations = {
        { 'intro', 'bag_intro' },
        { 'grab',  'bag_grab', 'cart_cash_dissapear' },
        { 'exit',  'bag_exit' }
    },
    scenes = {},
    scenesObjects = {}
}

--[[ DEBUG ]]
Config.debug = false
Config.debugZone = false
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0r-resources/0r-heist/pacific-bank/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
